# NHI Agents API

Use the NHI Agents API to enumerate AI model metadata present in your tenant's Access Graph. These endpoints support programmatic discovery of AI platforms, publishers, model families, and series before querying or filtering on AI entity data.

For background on how Veza models non-human identities and AI agents, see [NHI Security](/4yItIzMvkpAvMVFAamTf/features/nhi.md).

## Endpoints

| Operation                                                                                 | Method | Path                            |
| ----------------------------------------------------------------------------------------- | ------ | ------------------------------- |
| [List AI model families](/4yItIzMvkpAvMVFAamTf/developers/api/nhi/listaimodelfamilies.md) | GET    | `/api/v1/nhi/ai/model-families` |
| [List AI model series](/4yItIzMvkpAvMVFAamTf/developers/api/nhi/listaimodelseries.md)     | GET    | `/api/v1/nhi/ai/model-series`   |
| [List AI platforms](/4yItIzMvkpAvMVFAamTf/developers/api/nhi/listaiplatforms.md)          | GET    | `/api/v1/nhi/ai/platforms`      |
| [List AI model publishers](/4yItIzMvkpAvMVFAamTf/developers/api/nhi/listaipublishers.md)  | GET    | `/api/v1/nhi/ai/publishers`     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.veza.com/4yItIzMvkpAvMVFAamTf/developers/api/nhi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
